Uploaded image for project: 'SR for Confluence - Development'
  1. SR for Confluence - Development
  2. SRCONF-2024

Space Admin Script Permissions not upgraded properly

    XMLWordPrintableJSON

    Details

    • Sprint:
      SR4C Sprint 175
    • Critical Points:
      0

      Description

      As noted in the release notes for 6.11.0, there was an update to Space Administrator Script permissions.

      We have since discovered a bug in the upgrade process which could cause Confluence instances to lose configured restrictions after upgrading, making Space Admin scripts available to Space Administrators.

      This is fixed in the 6.38.0 release. To address this, Confluence Administrators should run through the following:

      • If you have not restricted the usage of Space Admin scripts in your instance, no action is required.
      • If you are on a version of ScriptRunner for Confluence older than 6.11.0, simply upgrade to 6.38.0 or later, which should bypass the bug entirely.
      • If you have restricted Space Admin scripts in your instance, check your Settings tab to make sure that they are configured correctly (see the documentation).
        • If your permissions are in order, and you are on a version of ScriptRunner greater than 6.11.0, nothing is required. You can upgrade as normal.
        • If you discover that your permissions are not as expected, you can manually fix them through the user interface. If you need help reconfiguring permissions that may have been lost as a result of this bug, please contact ScriptRunner support.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              jcarter Jonny Carter
              Reporter:
              jcarter Jonny Carter
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: